#include "classicinputtype.h"

ClassicInputType::ClassicInputType(const microsec& timestamp, Action action) :
    InputType(timestamp),
    _action(action)
{}

ClassicInputType::~ClassicInputType()
{}

bool ClassicInputType::operator==(const Action& comparing_action) const
{
    return _action == comparing_action;
}

bool ClassicInputType::operator==(const ClassicInputType& comparing_action) const
{
    return _action == comparing_action._action
        && _button == comparing_action._button;
}
